# Class: InfoWindow

## Map. InfoWindow

The component designed to implement the google.maps.InfoWindow class. This component can be the child of either the `<Map />` or `<Marker />` components, but if you decide to put it within the `<Map />` component you must set its coordinate property so that it has an anchor point.

#### new InfoWindow()

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `props` | object | ###### Properties
  Name | Type | Description
  --- | --- | ---
  `maps` | google.maps | Required.
  `map` | google.maps.Map | Required.
  `anchor` | google.maps.MVCObject | Required if coordinates aren't provided.
  `coords` | object | Required if anchor isn't provided. ###### Properties
  Name | Type | Description
  --- | --- | ---
  `lng` | number |
  `lat` | number |
  `disableAutopan` | bool |
  `maxWidth` | number |
  `pixelOffset` | object | ###### Properties
  Name | Type | Description
  --- | --- | ---
  `width` | object |
  `height` | object |
  `options` | google.maps.InfoWindowOptions | These will overwrite any of the convenience props above. See google.maps.InfoWindowOptions documentation for all the options.
  `open` | bool | Allows you to open and close a window without fully unmounting it.
  `state` | object | ###### Properties
  Name | Type | Description
  --- | --- | ---
  `infoWindow` | google.maps.InfoWindow | The internal instance of the infoWindow.
  `props.onCloseClick` | function | Use this to listen for the close click event. When someone tries to close the infowindow. Implement closing.

  Source:
    - components/infoWindow.js, line 26

### Methods

#### cleanInfoWindowContentForUnmount()

  Place rendered children back into their normal location to await their destruction.

  Source:
    - components/infoWindow.js, line 76

  ##### Returns:

  Type
    undefined

#### loadInfoWindowContent()

  Load rendered children into infoWindow.

  Source:
    - components/infoWindow.js, line 64

  ##### Returns:

  Type
    undefined

#### Search results